Bug 206634 - apt repositories cannot have identical names, though under different labels
apt repositories cannot have identical names, though under different labels
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-15 09:09 EDT by Ingvar Hagelund
Modified: 2012-06-20 12:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:02:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingvar Hagelund 2006-09-15 09:09:55 EDT
Description of problem:
Adding two apt repos to up2date, under different labels, but with the same name,
makes up2date fetch all packages from first repo whatsoever.

Version-Release number of selected component (if applicable):
4.4.69-25 (and probably most versions earlier than this one too)

How reproducible:
Allways

Steps to Reproduce:
1.
Add for example something like this to your /etc/sysconfig/rhn/sources

apt citrusi386 http://apt.repo.server/path/to somedistro/i386 orange
apt citrusnoarch http://apt.repo.server/path/to somedistro/noarch orange

2. Try to fetch a package from the second repo
3. The package will be fetched from the first repo
  
Actual results:
Wrong package or no package fetched

Expected results:
Correct package fetched from the second repo
Comment 1 Red Hat Bugzilla 2007-04-11 21:14:19 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Ingvar Hagelund 2008-01-31 08:54:44 EST
Any chance that this will be fixed? Ever?

Ingvar
Comment 4 Jiri Pallich 2012-06-20 12:02:55 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.